/* -------------------------------------------------------------------------- */
/* 1. MOBILE FIRST (Min-Width) - Estilos base que se aplican hacia arriba     */
/* -------------------------------------------------------------------------- */
:root {
    --margin-total: 20px;
    --font-title: 2.4rem;
    --font-subtitle: 1.8rem;
    --font-text: 2rem;
}

body {
    overflow-x: hidden;
    overflow-y: hidden;

    /* border-color:red; */
}

.menu {
    position: absolute;
    top: 0;
    right: 0;

    a {
        font-size: 3rem;
        padding: 1.5rem 0 0 0;
    }

    a.back {
        font-size: 3.6rem;
        padding: 0 0 0 0;
        margin-top: -6px;


    }
}
.menu-home {
    position: fixed !important;
    bottom: 0 !important;
    top: auto !important;
    left: var(--margin-total) !important;
}

#logo {
    img {
        width: 180px;
        max-width: 260px;
    }
}

/* header mobile */
.left-col {
    background-color: white;
    width: calc(100% - 42px); /* 58px */
    margin-left: -2px;
    height: 100px;
}

/* contenido mobile */
.layout-rest {
    margin-left: 0;
    padding-top: 100px !important;

    #right-scroll {
        padding-bottom: 150px;
    }
}

.page-legal {
    h1 {
        margin-top: 0px;
    }
}
.page-legal {
    h1 {
        font-size: 2.8rem;
        text-align: start;
    }
    h3, .h3 {
        font-size: 2.1rem;
        text-align: start;
    }
    h2 {
        font-size: 2.3rem !important;
        text-align: start;
    }

    .content-description {
        text-align: justify;
        font-size: calc(2.3rem * 0.67);
    }

    ol, ul {
        padding-left: 0rem;
        margin-left: 1.6rem;
    }

    
}

.wi-auto {
    width: calc(100% - 58px) !important;
}

.content-item {
    margin-bottom: var(--margin-total);

    h2 {
        /* font-size: 2.4rem; */
        font-size: var(--font-title);

        a {
            font-size: var(--font-title);
            text-decoration: none !important;
        }
    }
    .content-description, .content-location, .content-info {
        /* font-size: 2rem; */
        font-size: var(--font-subtitle);
    }
    .content-description, .content-location {
        margin-bottom: 0rem;
    }
    .content-info {
        /* font-size: 2.1rem; */
        font-size: var(--font-text);
    }

    &.margin-automatico .content-location {
        /* font-size: 1.8rem; */
        font-size: var(--font-subtitle);

        a {
            font-size: var(--font-subtitle);
        }
    }

    &:last-child {
        margin-bottom: 0px !important;
    }

    p {
        margin-bottom: 1rem;
    }

    a {
        font-size: var(--font-subtitle);
        text-decoration: underline !important;
    }

    .smaller {
        font-size: var(--font-subtitle);

        a, div {
            display: block;
            line-height: 1.2;
        }
    }

    .content-link {
        a {
            font-size: var(--font-subtitle);
        }
    }
    

    .info-contacto {
        a {
            font-size: var(--font-text);
        }

        .content-info {
            p {
                margin-bottom: 0rem;
            }
        }
    }

}

/* ! end MOBILE */





/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) { 
    /** sm */
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) { 
    /** md */

    :root {
        --margin-total: 40px;
        --font-title: 2.8rem;
        --font-subtitle: 1.8rem;
        --font-text: 2rem;
    }
    .left-col {
        width: calc(100% - 80px);
    }
}


/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) { 
    /** lg */
    :root {
        --font-title: 2.8rem;
        --font-subtitle: 1.8rem;
        --font-text: 2rem;
    }
    body {
        overflow-x: hidden;
        overflow-y: hidden;
    }
    #logo {
        img {
            width: 230px;
            max-width: 230px;
        }
    }
    .menu {
        position: fixed;
        bottom: 0;
        left: var(--margin-total);
        right: auto;
        top: auto;

        a {
            font-size: 3.6rem;
            padding: 2rem 0 0 0;
        }
    }

    .left-col {
        position: fixed; 
        top: var(--margin-total); 
        left: var(--margin-total); 
        width: var(--col-width); 
        height: calc(100vh - var(--margin-total)); 
        display: flex; 
        flex-direction: column; 
    }

    .layout-rest {
        margin-left: var(--col-width); 
        overflow: hidden; 
        padding-top: 0px !important;

        #right-scroll {
            padding-bottom: 0px;
        }
    }

    .page-legal {
        h1 {
            margin-top: -8px;
        }
    }

    .wi-auto {
        width: auto !important;
    }

    .page-legal {
        h1 {
            /* font-size: 2.8rem; */
            font-size: var(--font-title);
            text-align: start;
        }
        h3, .h3 {
            font-size: 2.1rem;
            text-align: start;
        }
        h2 {
            /* font-size: 2.5rem !important; */
            font-size: var(--font-title);
            text-align: start;
        }

        .content-description {
            text-align: justify;
            /* font-size: calc(2.5rem * 0.67); */
            font-size: var(--font-subtitle);
        }
    }

    .content-item {
        h2 {
            /* font-size: 2.7rem; */
            font-size: var(--font-title);

            a {
                font-size: var(--font-title);
                text-decoration: none !important;
            }
        }
        .content-description, .content-location, .content-info {
            /* font-size: calc(2.7rem * 0.67); */
            font-size: var(--font-subtitle);
        }
        .content-info {
            /* font-size: 2.4rem; */
            font-size: var(--font-text);
        }

        &.margin-automatico .content-location {
            /* font-size: 1.6rem; */
            font-size: var(--font-subtitle);
        }

        &:last-child {
            margin-bottom: var(--margin-total) !important;
        }

        .content-link {
            a {
                font-size: var(--font-subtitle);
            }
        }

        a {
            font-size: var(--font-subtitle);
            text-decoration: underline !important;
        }

        p {
            margin-bottom: 1.3rem;
        }
    }
}


/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) { 
    /** xl */
}


/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) { 
    /** xxl */
    :root {
        --font-title: 2.8rem;
        --font-subtitle: 1.8rem;
        --font-text: 2rem;
    }

    #logo {
        img {
            width: 260px;
            max-width: 260px;
        }
    }

    .page-legal {
        h1 {
            /* font-size: 3.2rem; */
            font-size: var(--font-title);
            text-align: start;
        }
        h3, .h3 {
            font-size: 2.4rem;
            text-align: start;
        }
        h2 {
            /* font-size: 2.8rem !important; */
            font-size: var(--font-title);
            text-align: start;
        }

        .content-description {
            text-align: justify;
            /* font-size: calc(2.8rem * 0.67); */
            font-size: var(--font-text);
        }
    }

    .content-item {
        h2 {
            /* font-size: 2.8rem; */
            font-size: var(--font-title);
        }
        .content-description, .content-location, .content-info {
            /* font-size: calc(2.8rem * 0.67); */
            font-size: var(--font-subtitle);
        }
        .content-info {
            /* font-size: 2.7rem; */
            font-size: var(--font-text);
        }

    }
}


/* CUSTOM devices (larger desktops, 1920px and up) */
@media (min-width: 1920px) { 
    /* custom */
}